# Detection script for Intune Win32 app
# Checks if the printer is (already) installed

$PrinterPath = "\\serverip\printername"

# Get list of installed printers with connection names
$installedPrinter = Get-Printer -ErrorAction SilentlyContinue | Where-Object {
    $_.ConnectionName -eq $PrinterPath
}

if ($installedPrinter) {
    Write-Output "Printer is already installed."
    exit 0  # Detected
} else {
    Write-Output "Printer is NOT installed."
    exit 1  # Not detected
}
