# PowerShell script to install a shared printer from a print server
#
# Requirements:
# - The device must be able to reach the print server.
# - The user must have permission to connect to the shared printer.
#
# This script can be executed as an Intune Win32 package.
# Install command: %SystemRoot%\sysnative\WindowsPowerShell\v1.0\powershell.exe -windowstyle hidden -executionpolicy bypass -command .\install.ps1

 
# Define the shared printer path
$PrinterPath = "\\serverip\printername"  # Change to your actual print share
 
# Add the network printer
Add-Printer -ConnectionName $PrinterPath
 
# Optionally set it as the default printer
#Set-Printer -Name "followme" -IsDefault $true
 
Write-Output "Printer '$PrinterPath' has been successfully added and set as default."