# Uninstall script for Intune Win32 app
# Removes the shared printer if it exists
# Uninstall command: %SystemRoot%\sysnative\WindowsPowerShell\v1.0\powershell.exe -windowstyle hidden -executionpolicy bypass -command .\uninstall.ps1

$PrinterPath = "printername"

# Get the installed printer with the matching connection name
$printer = Get-Printer -ErrorAction SilentlyContinue | Where-Object {
    $_.ConnectionName -eq $PrinterPath
}

# Remove the printer if it exists
if ($printer) {
    Remove-Printer -Name $printer.Name -ErrorAction SilentlyContinue
    Write-Output "Printer '$PrinterPath' has been removed."
} else {
    Write-Output "Printer '$PrinterPath' not found. Nothing to uninstall."
}
